import React from 'react';
import '../../css/Components/articles.css'
import ArticleDetails from './ArticleDetails'

class Articles extends React.Component {
    constructor(props){
        super(props)
        this.state = {
            mouseEnter:false
        }
    }

    componentDidMount(){
      
    } 


    render() {
      return (
          <div id="articleContainer">
            <div id="articles">
              {
                this.props.articles.map((article) => 
                <ArticleDetails deselect={this.props.deselect} select={this.props.select} handleCategories={this.props.handleCategories} editArticle={this.props.editionArticle} key={article.id} id={article.id} name={article.name} img={article.image} desc={article.description} price={article.price} quantity={article.quantity} code={article.code} category={article.category}/>    
            )}
            </div>
          </div>
      )
    }
  }

  export default Articles